> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Column

> Create a new column in a project



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi post /column/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /column/{projectId}:
    post:
      tags:
        - Columns
      summary: Create Column
      description: Create a new column in a project
      operationId: createColumn
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                icon:
                  type: string
                color:
                  type: string
                isFinal:
                  type: boolean
              required:
                - name
      responses:
        '200':
          description: Column created successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````